Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.1 Domain Configuration Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

## http://www.bea.com/ns/weblogic/90/domain
complexType deploymentType

    {http://www.w3.org/2001/XMLSchema}anyType
      {http://www.bea.com/ns/weblogic/90/domain}configurationType
          {http://www.bea.com/ns/weblogic/90/domain}deploymentType

Model
  `<...>
  name?, notes?, target?, deployment-order?
  </...>`

Prohibited substitutions (block)
  none (extensions and restrictions are allowed)

Usage
  Derived types: capacityType, class-deploymentType, componentType, context-caseType, context-request-classType, conversation-serviceType, fair-share-request-classType, file-t3Type, foreign-jms-serverType, http-proxyType, jdbc-connection-poolType, jdbc-data-sourceType, jdbc-multi-poolType, jdbc-tx-data-sourceType, jms-connection-factoryType, jms-serverType, jms-virtual-destinationType, jolt-connection-poolType, max-threads-constraintType, messaging-bridgeType, migratable-rmi-serviceType, min-threads-constraintType, network-channelType, path-serviceType, persistent-storeType, response-time-request-classType, rmc-factoryType, saf-agentType, virtual-destinationType, web-deploymentType, web-serverType, wlec-connection-poolType, work-managerType, wtc-serverType
  Components using this type: none

Documentation

  CapacityMBean defines the maximum number of requests that can be enqueued by all the work managers that share it.

  The server starts rejecting requests once the capacity threshold is reached. Note that the capacity includes all requests, queued or executing, from the constrained work set. This constraint is independent of the global queue threshold specified by OverloadProtectionMBean#getSharedCapacityForWorkManagers() .

  Requests are rejected by performing overload actions. RMI work is rejected by sending back a recoverable exception to the clients. Servlet requests are rejected by sending back a 503 response.

  MBean: `CapacityMBean`

  A Deployment is any MBean that may be deployed on one or more targets, such as a Component, a Web Server personality, a JMS Front-end or back-end or a JDBC connection pool. A deployment has targets, which specify which servers the deployment should be deployed on. Assigning the targets on a deployment will cause the deployment to get deployed on those targets. If the targets overlap, the deployment will only be deployed once. For example, if a deployment is deployed both on a cluster C and on a server S that is a member of that cluster, the deployment will be deployed on S only once. Simply adding or removing a target will not affect the deployment state for this deployment. The user must explicitly activate or deactivate the deployment. Certain types of deployments, ComponentMBeans, behave slightly differently. Please refer to their documentation for more information.

  MBean: `DeploymentMBean`

Nested Element Summary
`annonymous type derived from string` | `name` optional
`string` | `notes` optional Optional information that you can include to describe this configuration.
`string` | `target` optional Privileges: Redeploy or Restart required: Changes take effect after you redeploy the module or restart the server.
`annonymous type derived from int` | `deployment-order` optional A priority that the server uses to determine when it deploys an item.

Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.1 Domain Configuration Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

Version: 9.1